function [Rd,J]  = calc_relative_R(Rp)
%% calculate uncertain relative rotation R12 = R1' * R2
%
% Rp   rotation pair, Rp.Rp=[R1,R2])[3x6], Rp.Cp = [6x6]
%
% Rd   relative rotation, Rd.R=[3x3] , Rd.C= [3x3]
% J    [3x6] Jacobian
%
% wf 5/2020

% R1 and R12
R1   = Rp.Rp(:,1:3);
Rd.R = R1' * Rp.Rp(:,4:6);
% Jacobian and CovN
J    = [-R1' R1'];
Rd.C = J * Rp.Cp * J';

return
